
import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;
import org.junit.runners.Parameterized;

/*
Classe de test pour savoir si les cavaliers existent avec une couleur.
 */
public class TestCavalier {
    @Parameterized.Parameter
    protected Cavalier cavalierB;
    @Parameterized.Parameter
    protected Cavalier cavalierN;

    @Before
    public void setUP(){
        cavalierB = new Cavalier(Piece.BLANC);
        cavalierN = new Cavalier(Piece.NOIR);
    }

    @After
    public void tearDown(){
    }

    @Test
    public void TestCouleur() throws Exception
    {
        Assert.assertEquals("B", cavalierB.getCoul());
        Assert.assertEquals("N", cavalierN.getCoul());
    }

}